:root,
:host {
    font-size: clamp(1rem, 0.95rem + 0.25vw, 1.25rem);

    box-sizing: border-box;

    --spacing: 1rem;

    --vertical-spacing: var(--spacing);
    --horizontal-spacing: var(--spacing);

    line-height: 1.5;

    /* The same font that shoelace uses internally.*/
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

a {
    color: var(--color);
}

footer > a {
    text-decoration: none;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
}

@media (max-width: 900px) {
    :root {
        --vertical-spacing: calc(var(--spacing) * 0.8);
        --horizontal-spacing: calc(var(--spacing) * 0.4);
    }

    .workout :is(.reps, .weight) {
        --sl-input-spacing-medium: var(--horizontal-spacing);
    }

}

body>*,
mv-header>header,
mv-footer>footer {
    max-width: 50ch;
    margin-inline: auto;
}

footer {
    margin-top: 2rem;
    color: var(--sl-color-neutral-700);
}

footer {
    text-align: center;
}

mv-header>header {
    padding-inline: var(--horizontal-spacing);
    padding-block: var(--vertical-spacing);
}

/* footer>nav {
    display: grid;
    grid-template-rows: 1fr 1fr;
} */

body {
    margin: 0;
}

header {
    display: flex;
    justify-content: space-around;
}